# Created by pyp2rpm-3.3.1
%global pypi_name mps-youtube

Name:           %{pypi_name}
Version:        0.2.8
Release:        %mkrel 10
Summary:        Terminal based YouTube player and downloader
Group:          Sound/Players
License:        GPLv3+
URL:            https://github.com/mps-youtube/mps-youtube
Source0:        https://github.com/mps-youtube/mps-youtube/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Patch0:         mps-youtube-0.2.8-disable-mplayer-version-check.patch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pafy)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(youtube-dl)

Requires:       mplayer
Requires:	python3dist(youtube-dl)
Requires:       python3dist(pafy)

Recommends:     youtube-dl
Recommends:     python3dist(dbus-python)
Recommends:     python3dist(pygobject)
Recommends:     python3dist(colorama)

%description
This project is based on mps, a terminal based program to search, stream and
download music. This implementation uses YouTube as a source of content and
can play and download video as well as audio. The pafy library handles
interfacing with YouTube.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if 0
%check
%{__python3} setup.py test
%endif

%files
%license LICENSE
%doc CHANGELOG README.rst html
%{_bindir}/mpsyt
%{_datadir}/applications/mps-youtube.desktop
%{python3_sitelib}/mps_youtube
%{python3_sitelib}/mps_youtube-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.2.8-10.mga8
+ Revision: 1533556
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 0.2.8-9.mga8
+ Revision: 1444611
- rebuild for python3.8

* Wed Jan 23 2019 kekepower <kekepower> 0.2.8-8.mga7
+ Revision: 1359751
- Add patch to disable mplayer version check

* Sat Jan 12 2019 kekepower <kekepower> 0.2.8-7.mga7
+ Revision: 1355763
- Use group Sound/Players for mps-youtube

* Tue Jan 08 2019 tv <tv> 0.2.8-6.mga7
+ Revision: 1352163
- rebuild with python 3.7

* Mon Jan 07 2019 kekepower <kekepower> 0.2.8-5.mga7
+ Revision: 1350746
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.8-4.mga7
+ Revision: 1279957
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 0.2.8-3.mga7
+ Revision: 1215691
- Fix Requires

* Fri Apr 06 2018 kekepower <kekepower> 0.2.8-2.mga7
+ Revision: 1215669
- Requires python3dist(youtube-dl)

* Fri Apr 06 2018 kekepower <kekepower> 0.2.8-1.mga7
+ Revision: 1215587
- Disable test
- BR python3dist(youtube-dl)
- imported package mps-youtube

